petsc-3.4.2 2013-07-02

# DMDALocalToLocalBegin

Maps from a local vector (including ghost points that contain irrelevant values) to another local vector where the ghost points in the second are set correctly. Must be followed by DMDALocalToLocalEnd().

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDALocalToLocalBegin(DM da,Vec g,InsertMode mode,Vec l)

Neighbor-wise Collective on DMDA and Vec

### Input Parameters

| da | - the distributed array context
| g | - the original local vector
| mode | - one of INSERT_VALUES or ADD_VALUES

### Output Parameter

l -the local vector with correct ghost values

### Notes

The local vectors used here need not be the same as those obtained from DMCreateLocalVector(), BUT they must have the same parallel data layout; they could, for example, be obtained with VecDuplicate() from the DMDA originating vectors.

### Keywords

distributed array, local-to-local, begin

### See Also

DMDALocalToLocalEnd(), DMLocalToGlobalBegin()

Level:intermediate
Location:src/dm/impls/da/daltol.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages